Topics

V2.10h has been checked in


Rob Robinett
 

Earlier today I checked in a fix for a problem with WD failing to connect to Kiwis during startup.  The was due to a race condition which only appears on very fast servers, e.g. a quad core i7.  

If your installation is running reliably, then there is no need to 'git pull' v2.10h.


ON5KQ
 

Hi Rob...

after all the work with tree cutting and winter work in the garden - today I put a simple dipole to just have something,...

Unfortunately the new 2.10h completely broke my installation.... no kiwirecorder can be found, no python numpy anymore... what happens with that update ???

Everything worked great, but 2.10h grounds me....

Ulli

Earlier today I checked in a fix for a problem with WD failing to connect to Kiwis during startup.  The was due to a race condition which only appears on very fast servers, e.g. a quad core i7.  

If your installation is running reliably, then there is no need to 'git pull' v2.10h.



ON5KQ
 

Why this ???

Everything worked before but the new version... ;-((((

Ulli
----------------

wsprdaemon.sh Copyright (C) 2020  Robert S. Robinett
This program comes with ABSOLUTELY NO WARRANTY; for details type './wsprdaemon.sh -h'
This is free software, and you are welcome to redistribute it under certain conditions.  execute'./wsprdaemon.sh -h' for details.
wsprdaemon depends heavily upon the 'wsprd' program and other technologies developed by Joe Taylor K1JT and others, to whom we are grateful.
Goto https://physics.princeton.edu/pulsar/K1JT/wsjtx.html to learn more about WSJT-x

Installing kiwirecorder in /home/on5kq/wsprdaemon
fatal: destination path 'kiwiclient' already exists and is not an empty directory.
Downloading the kiwirecorder SW from Github...
ERROR: can't find the kiwirecorder.py command needed to communicate with a KiwiSDR.  Download it from https://github.com/jks-prv/kiwiclient/tree/jks-v0.1
       You may also need to install the Python library 'numpy' with:  sudo apt-get install python-numpy

----------------------------------------

Python-numpy is already installed !

Kiwirecorder worked before...

What happens with the script ???

Ulli

Hi Rob...

after all the work with tree cutting and winter work in the garden - today I put a simple dipole to just have something,...

Unfortunately the new 2.10h completely broke my installation.... no kiwirecorder can be found, no python numpy anymore... what happens with that update ???

Everything worked great, but 2.10h grounds me....

Ulli

Earlier today I checked in a fix for a problem with WD failing to connect to Kiwis during startup.  The was due to a race condition which only appears on very fast servers, e.g. a quad core i7.  

If your installation is running reliably, then there is no need to 'git pull' v2.10h.




Rob Robinett
 

I have verified the installation on several Pi/Buster and i86 Ubuntu 18/20 servers.  Give me ssh access to your server and I'll look at your installation problems.


ON5KQ
 

Rob,
I am now running on the raspberry pi version 2.10g - as I have only one antenna it is ok for now.
Is there a way to do a clean re-install of wsprdaemon without re-install Ubuntu ?

Ulli


Stu C
 

Just to add a little detail (maybe save some time).
I just did a clean git pull and run on a debian 10 VM (no previous version has been on there before).
All seemed to install without error and appears to run but only passes 60 Bytes to the Kiwi every so often.
Digiskimmer on the same Debian can connect and run OK so don't think it is networking.

Stu


Rob Robinett
 

I would need to ssh to that system to diagnose your problem.